CANONIZE(1)

NAME
canonize - queue a pix file to a printer using MDQS

SYNOPSIS
canonize [-ah] [-s squarefilesize]
[-w filewidth] [-n fileheight]
[-g {cg|rgb|scan}]
[-t {u|l|m}] [-C {1-99}] [-q queue]
[-R dpi] [-M xmag:ymag] [-m]
[-X page_xoff] [-Y page_yoff]
[-N printheight] [-W printwidth]
[-v] [-q queue] [file.pix ...]

DESCRIPTION
Canonize is a user agent for printing pix(5) format files using a Canon(tm) CLC500 and the MDQS queuing system. It can read the image from the standard input, or can send one or more files whose names are specified on the command line. By default, the image is printed using the "cg" gamma map (computer graphics), with paper from the "upper" paper tray, and the image proportionally scaled to fill the print area on the page.

OPTIONS

-a  Causes canonize to attempt to determine the size of the image to find out the number of bytes in the file. This option cannot be used if the image is provided on the standard input.

-h  indicates that the input image is 1024 pixels square.

-s squaresize
    sets the image width and height to the size given.

-w filewidth
    sets the image width to be filewidth pixels. By default the image is assumed to be 512 pixels wide.

-n fileheight
    specifies the height of the image in pixels. By default the image is assumed to be 512 pixels wide.

-g gammatype
    Select the gamma correction map to apply to the image before printing. There are three gamma compensation maps in the CLC500. Canon recommends the "cg" map for computer graphics images which have not been gamma corrected. The "rgb" gamma map is said to be designed for images which have already been gamma corrected. The "scan" gamma map is the one used by the CLC500 when printing images obtained from the built in scanner.

-t trayname
    selects the tray from which paper should be taken to produce the print. The options are "u" for the upper tray, "l" for the lower tray, and "m" for manual feed.

-C #copies
    Specifies the number of prints of the image desired. This number must be in the range 1-99.

-q queuename
    queue job to MDQS queue "queuename". By default, the job is queued to the queue "canon".

-R dpi
    Print image with dpi dots-per-inch on the output page. This option disables the automatic scaling of the image.

-M xmag:ymag
    Print the image with a magnification of "xmag" in the X dimension and "ymag" in the y dimension.

-X page_xoff
    Specifies the offset of left side of the image from the left side of the output page. This option is available only when -R or -M have been specified, and are especially useful in conjunction with the -m option.

-Y page_xoff
    Specifies the distance from the top of the page to the top of the image. This option is available only when -R or -M have been specified, and are especially useful in conjunction with the -m option.

-N  Specifies the height of the image on the output page. This option is available only when -A AutoScaling (on by default). The image is scaled equally in the X and Y dimensions to make it fit the available print area as closely as possible. -R or -M have been specified, and are especially useful in conjunction with the -m option.

-W  Specifies the width of the image on the output page. This option is available only when -R or -M have been specified, and are especially useful in conjunction with the -m option.

-m  causes the image to be repeated accross the page.

-v  Turn on debugging output.

Notes
The Canon CLC500(tm) prints at 400dpi on the output page. This results in approximately 2550 by 3300 pixels on an 8.5 inch by 11 inch page. Images of less than 1024 by 1024 pixels do not look especially pleasing when printed using AutoScaling. This is because the pixels become enlarged enough to be annoying. Because high resolution images occupy a substantial amount of disk space, it is relatively easy to run the MDQS queue server out of disk space by queuing many images at once.

SEE ALSO
pix-fb(1), pix-ipu(1), IPU Programmer's Manual

DIAGNOSTICS
If the -a option is specified when the image is being redirected from the standard input canonize will abort. This avoids wasting paper printing an image using incorrect dimensions.

AUTHOR
Lee A. Butler

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.